<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Equipo extends Model
{
    use HasFactory;

        protected $fillable = [
        'codigo',
        'descripcion',
        'marca',
        'modelo',
        'anio',
        'estado',
        'observaciones',
        'propiedad',
        'unidad_id',
    ];

    public function controles()
    {
        return $this->hasMany(ControlDiario::class);
    }

    public function unidad()
    {
        return $this->belongsTo(Unidad::class);
    }

}
